_LWP_SUSPEND(2)

NAME
_lwp_suspend, _lwp_continue - suspend or continue a light-weight process

LIBRARY
libc

SYNOPSIS
#include <lwp.h>
int
_lwp_suspend(lwpid_t lwp);
int
_lwp_continue(lwpid_t lwp);

DESCRIPTION
_lwp_suspend() suspends execution of the LWP specified by lwp. Once an LWP is suspended, subsequent calls to _lwp_suspend() have no effect. The only way to resume execution of a suspended LWP is via _lwp_continue().

_lwp_continue() resumes execution of the LWP specified by lwp. Once an LWP is resumed, subsequent calls to _lwp_continue() have no effect.

RETURN VALUES
Upon successful completion, _lwp_suspend() and _lwp_continue() return a value of 0. Otherwise, an error code is returned to indicate the error.

ERRORS
_lwp_suspend() and _lwp_continue() will fail if:

[ESRCH]
    No LWP can be found in the current process corresponding to that specified by lwp.

_lwp_suspend() will fail if:

[EDEADLK]
    The LWP specified by lwp is the only LWP in the process.

SEE ALSO
_lwp_create(2)

HISTORY
The _lwp_create() system call first appeared in NetBSD 2.0.